/************************************************************************************************/
//    Vérification de fonctionnement:
//    Exécuté unes seule fois au démarrage du Arduino
/************************************************************************************************/


void Init_Chariot()
{
  ServoMoteur(0); //Réinitialisation du ServoMoteur en position d'origine
  ServoMoteur(90);  //Incline le support à 90°
  ServoMoteur(0);
    
  digitalWrite(Dir_M1, HIGH);  //Changement sens moteur vers le bas
  digitalWrite(Enable_PIN_M1, LOW); //Alimentation du moteur
      
  while (digitalRead(Fdc_B) == HIGH)  //Attente détection chariot - Fin de course Bas
    {
      digitalWrite(Pulse_M1, LOW);
      delayMicroseconds(400);
  
      digitalWrite(Pulse_M1, HIGH);
      delayMicroseconds(400);
    }
    delay(1000);
    digitalWrite(Enable_PIN_M1, HIGH);  //Extinction du moteur
}


/************************************************************************************************/
//    Phase d'initialisation du chariot:
//    Avant chaque Programme Automatique le chariot retourne vers sa position initiale basse.
/************************************************************************************************/

void Reset_Chariot()
{
  ServoMoteur(0);  //Réinitialisation du ServoMoteur en position d'origine
  
  digitalWrite(Dir_M1, HIGH);  //Changement sens moteur vers le bas
  digitalWrite(Enable_PIN_M1, LOW); //Alimentation du moteur
      
  while (digitalRead(Fdc_B) == HIGH)  //Attente détection chariot - Fin de course Bas
    {
      digitalWrite(Pulse_M1, LOW);
      delayMicroseconds(400);
  
      digitalWrite(Pulse_M1, HIGH);
      delayMicroseconds(400);
    }
    delay(1000);
    digitalWrite(Enable_PIN_M1, HIGH);  //Extinction du moteur
}
