#include <Servo.h>
#include <Keypad.h>


/************************************************************************************************/
// Clavier
const byte numcolonne= 4; //Nombre de la colonne
const byte numligne= 4; //Nombre de la ligne

char clavier[numligne][numcolonne]={
{'1', '2', '3', 'H'},
{'4', '5', '6', 'B'},
{'7', '8', '9', 'G'},
{'A', '0', 'M', 'D'}
};


byte pincolonne[numcolonne]= {31,33,37,35}; //Colonnes 0 à 3
byte pinligne[numligne] = {25,23,27,29};//Lignes 0 à 3


Keypad clavier4x4= Keypad(makeKeymap(clavier), pinligne, pincolonne, numligne, numcolonne);

char touche;
char holdKey;
unsigned long t_hold;

/************************************************************************************************/

Servo myservo;

/************************************************************************************************/

//Pins Moteur1
int Pulse_M1 = 12;
int Dir_M1 = 11;
int Enable_PIN_M1 = 13;

//Pins ServoMoteur1
const int Pulse_SM1 = 8;

//Pins Fin de course
int Fdc_H =9;
int Fdc_B = 20;

//Variables
int PROG = 0;
int LastPROG = 0;

unsigned int PulseSpeed= 800;
boolean flag1 = LOW;
boolean flag2 = LOW;

//Déclaration Fonctions
void Init();
void SelectMode();
void SelectProgAUTO();
void SelectProgMANU();
void ServoMoteur();

void lecture();
int angle=0;


/************************************************************************************************/
//    Setup
/************************************************************************************************/

void setup() {

//PinMode Moteur 1
pinMode(Enable_PIN_M1, OUTPUT);  
pinMode(Pulse_M1, OUTPUT);
pinMode(Dir_M1, OUTPUT);

//PinMode ServoMoteur 1
pinMode(Pulse_SM1, OUTPUT);

//PinMode Capteurs Fin de Course
pinMode(Fdc_B, INPUT_PULLUP);
pinMode(Fdc_H, INPUT_PULLUP);

//Initialisation des Moteurs
digitalWrite(Enable_PIN_M1, HIGH); //Alimentation Moteur OFF
digitalWrite(Dir_M1, HIGH);

//Initialisation du chariot
Init_Chariot();
//Serial.begin(9600);

}


/************************************************************************************************/
//    Lecture appui sur touche
/************************************************************************************************/
void Lecture_Touche()
{
  touche = clavier4x4.getKey();
  
  if (touche)
     holdKey = touche;
}


/************************************************************************************************/
//    Boucle du programme
/************************************************************************************************/
void loop()
{
  Lecture_Touche();
  SelectMode();
}
